#
# spec file for package apg
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           apg
Version:        2.2.3
Release:        2.5
Summary:        Tool Set for Random Password Generation
License:        BSD-3-Clause
Group:          Productivity/Security
URL:            http://www.adel.nursat.kz/apg/
Source0:        http://www.adel.nursat.kz/apg/download/apg-%{version}.tar.gz
Patch1:         apg-do_not_install_as_root.patch

%description
APG (Automated Password Generator) is a tool set for generating random
passwords. A standalone tool generates some random words of the required type
and prints them to standard output. A networked client/server following RFC972
is also provided.

%prep
%autosetup -p0

%build
%make_build \
    CC="gcc" \
    FLAGS="%{optflags} -Wall" \
    CS_LIBS="-lnsl" \
    FIND_GROUP="0" \
    USE_SHA="APG_USE_SHA" \
    CRYPTED_PASS="APG_USE_CRYPT" \
    INSTALL_PREFIX="%{_prefix}" \
    APG_MAN_DIR="/share/man/man1" \
    APGD_MAN_DIR="/share/man/man8" \
    standalone

%install
make %{?_smp_mflags} \
    FIND_GROUP="0" \
    USE_SHA="APG_USE_SHA" \
    CRYPTED_PASS="APG_USE_CRYPT" \
    INSTALL_PREFIX="%{buildroot}%{_prefix}" \
    APG_MAN_DIR="/share/man/man1" \
    APGD_MAN_DIR="/share/man/man8" \
    install

%files
%license COPYING
%doc CHANGES README THANKS TODO
%doc doc/APG_TIPS doc/*.txt
%{_bindir}/apg
%{_bindir}/apgbfm
%{_mandir}/man1/apg.1%{?ext_man}
%{_mandir}/man1/apgbfm.1%{?ext_man}

%changelog
* Tue Feb 20 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN.
* Mon Sep 28 2015 mpluskal@suse.com
- Use url for source
- Cleanup spec file with spec-cleaner
* Tue Jun 15 2010 pascal.bleser@opensuse.org
- initial package (2.2.3)
